﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Media;

namespace OneNoteRadialMenu.Common
{
    class ColorConverter :IValueConverter
    {
        public object Convert(object value, System.Type targetType, object parameter, string language)
        {
            var brush = value as SolidColorBrush;
            if (value != null)
            {
                return brush.Color;
            }
            return null;
        }

        public object ConvertBack(object value, System.Type targetType, object parameter, string language)
        {
            if (value is Color)
            {
                return new SolidColorBrush((Color)value);
            }
            return null;
        }

    }
}
