﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Media;

namespace OneNoteRadialMenu.Common
{
    class FontConvertercs : IValueConverter
    {
        private FontFamily defaultFont;

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is string)
            {
                return new FontFamily((string)value);
            }
            if (defaultFont == null)
            {
                TextBox rtb = new TextBox();
                defaultFont = rtb.FontFamily;
            }
            return defaultFont;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return null;
        }
    }
}
