﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Text;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;



// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace OneNoteRadialMenu
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
        
        private void Click(object sender, EventArgs e)
        {
            if ((sender as RadialMenuItem).Header.ToString() == "Bold")
            {
                ITextCharacterFormat format = this.textBox.Document.Selection.CharacterFormat;
                format.Bold = FormatEffect.Toggle;
            }
            if ((sender as RadialMenuItem).Header.ToString() == "Italic")
            {
                ITextCharacterFormat format = this.textBox.Document.Selection.CharacterFormat;
                format.Italic = FormatEffect.Toggle;
            }
            if ((sender as RadialMenuItem).Header.ToString() == "Underline")
            {
                
                ITextCharacterFormat format = this.textBox.Document.Selection.CharacterFormat;
                if (format.Underline == UnderlineType.Thick)
                {
                    format.Underline = UnderlineType.None;
                }
                else {
                    format.Underline = UnderlineType.Thick;
                }
            }

            if ((sender as RadialMenuItem).Header.ToString() == "Undo") {
                this.textBox.Document.Undo();
            }



            var tab = this.textBox.Document.Selection;
            if (tab == null) return;

            switch ((sender as RadialMenuItem).Header.ToString())
            {
                case "Cut":
                    tab.Cut();
                    break;
                case "Copy":
                    tab.Copy();
                    break;
                case "Paste":
                    tab.Paste(0);
                    break;

            }

        }


        private void selection(object sender, RoutedEventArgs e)
        {
            var tab = this.textBox.Document.Selection.Length;
                if (tab > 0)
                {
                    this.Main.Visibility = Visibility.Visible;
                }
                else
                {
                    this.Main.Visibility = Visibility.Collapsed;
                }            
        }
    }
}
